## r-cran-pkgmaker 0.22

=== DESCRIPTION ===
Package: pkgmaker
Type: Package
Title: Package development utilities
Version: 0.22
Date: 2013-09-17
Author: Renaud Gaujoux
Maintainer: Renaud Gaujoux <renaud@tx.technion.ac.il>
Description: This package provides some low-level utilities to use for package
    development. It currently provides managers for multiple package specific
    options and registries, vignette, unit test and bibtex related utilities.
    It serves as a base package for packages like NMF, RcppOctave, doRNG, and
    as an incubator package for other general purposes utilities, that will
    eventually be packaged separately.
    It is still under heavy development and changes in the interface(s) are
    more than likely to happen.
License: GPL (>= 2)
URL: https://renozao.github.io/pkgmaker
BugReports: http://github.com/renozao/pkgmaker/issues
SCM: github:renozao, r-forge
LazyLoad: yes
Depends: R (>= 3.0.0), stats, registry
Imports: methods, tools, codetools, digest, stringr, xtable, grDevices
Suggests: devtools (>= 0.8), bibtex, RUnit, testthat, knitr,
        ReportingTools, hwriter, argparse
Collate: 'utils.R' 'logging.R' 'unitTests.R' 'data.R' 'namespace.R'
        'devutils.R' 'package.R' 'options.R' 'is.R' 'registry.R'
        'bibtex.R' 'packages.R' 'vignette.R' 'files.R'
        'package-extra.R' 'colors.R' 'graphics.R' 'rd.R' 'project.R'
        'CLI.R' 'knitr.R' 'repositories.R'
VignetteBuilder: knitr
Packaged: 2014-05-14 11:49:09 UTC; renaud
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-05-14 16:18:51

=== debian/changelog ===
r-cran-pkgmaker (0.22-2) unstable; urgency=medium

  * Team upload.
  * d/watch: Remove unneeded uversionmangle
  * Convert from cdbs to dh-r
  * Standards-Version: 4.1.3
  * debhelper 11
  * Add autopkgtest
  * Canonical Homepage for CRAN packages

 -- Andreas Tille <tille@debian.org>  Tue, 13 Mar 2018 18:55:33 +0100

r-cran-pkgmaker (0.22-1) unstable; urgency=low

  * Initial release. (Closes: #829590)

 -- Alba Crespi <crespialba+debian@gmail.com>  Sun, 10 Apr 2016 19:39:43 +0100

=== debian/control ===
Source: r-cran-pkgmaker
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Alba Crespi <crespialba+debian@gmail.com>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev (>= 3.0.0),
               r-cran-registry,
               r-cran-codetools,
               r-cran-digest,
               r-cran-stringr,
               r-cran-xtable
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-pkgmaker.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-pkgmaker.git
Homepage: http://cran.r-project.org/package=pkgmaker

Package: r-cran-pkgmaker
Architecture: any
Depends: ${shlibs:Depends},
         ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package development utilities
 This package provides some low-level utilities to use for package
 development. It currently provides managers for multiple package specific
 options and registries, vignette, unit test and bibtex related utilities.
 It serves as a base package for many other R packages and as an incubator
 package for other general purposes utilities, that will eventually be packaged
 separately.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/pkgmaker_([-0-9\.]*)\.tar\.gz

## r-cran-pkgmaker 0.27

=== DESCRIPTION ===
Package: pkgmaker
Type: Package
Title: Development Utilities for R Packages
Version: 0.27
Date: 2018-05-25
Authors@R: person("Renaud", "Gaujoux", email = "renozao@protonmail.com", role = c("aut", "cre"))
Description: Provides some low-level utilities to use for package
    development. It currently provides managers for multiple package specific
    options and registries, vignette, unit test and bibtex related utilities.
    It serves as a base package for packages like NMF, RcppOctave, doRNG, and
    as an incubator package for other general purposes utilities, that will
    eventually be packaged separately.
    It is still under heavy development and changes in the interface(s) are
    more than likely to happen.
License: GPL (>= 2)
URL: https://renozao.github.io/pkgmaker
BugReports: http://github.com/renozao/pkgmaker/issues
LazyLoad: yes
Encoding: UTF-8
Depends: R (>= 3.0.0), methods, stats, registry
Imports: tools, grDevices, utils, graphics, codetools, digest, stringi,
        magrittr, stringr, xtable, withr, bibtex (>= 0.4)
Suggests: devtools (>= 0.8), roxygen2, RUnit, testthat, knitr,
        rmarkdown, yaml, Biobase
Collate: 'bibtex.R' 'colors.R' 'data.R' 'namespace.R' 'utils.R'
        'devutils.R' 'files.R' 'graphics.R' 'options.R' 'logging.R'
        'unitTests.R' 'is.R' 'knitr.R' 'registry.R' 'package-extra.R'
        'package.R' 'packages.R' 'project.R' 'rd.R' 'user.R'
        'vignette.R' 'with.r'
RoxygenNote: 6.0.1.9000
NeedsCompilation: no
Packaged: 2018-05-25 21:48:47 UTC; renaud
Author: Renaud Gaujoux [aut, cre]
Maintainer: Renaud Gaujoux <renozao@protonmail.com>
Repository: CRAN
Date/Publication: 2018-05-25 22:18:01 UTC

=== debian/changelog ===
r-cran-pkgmaker (0.27-2) unstable; urgency=medium

  * Team upload.

  [ Dylan Aïssi ]
  * Use secure URI for Homepage field.
  * Switch Architecture to all from any.

  [ Andreas Tille ]
  * Drop libgedal-dev from Build-Depends
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Mon, 10 Sep 2018 15:31:59 +0200

r-cran-pkgmaker (0.27-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jun 2018 14:20:50 +0200

=== debian/control ===
Source: r-cran-pkgmaker
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Alba Crespi <crespialba+debian@gmail.com>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-registry,
               r-cran-codetools,
               r-cran-digest,
               r-cran-stringi,
               r-cran-magrittr,
               r-cran-stringr,
               r-cran-xtable,
               r-cran-withr,
               r-cran-bibtex
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pkgmaker
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pkgmaker.git
Homepage: https://cran.r-project.org/package=pkgmaker

Package: r-cran-pkgmaker
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package development utilities
 This package provides some low-level utilities to use for package
 development. It currently provides managers for multiple package specific
 options and registries, vignette, unit test and bibtex related utilities.
 It serves as a base package for many other R packages and as an incubator
 package for other general purposes utilities, that will eventually be packaged
 separately.

## r-cran-pkgmaker 0.31

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: pkgmaker
 Type: Package
 Title: Development Utilities for R Packages
-Version: 0.27
-Date: 2018-05-25
+Version: 0.31
+Date: 2020-01-21
 Authors@R: person("Renaud", "Gaujoux", email = "renozao@protonmail.com", role = c("aut", "cre"))
 Description: Provides some low-level utilities to use for package
     development. It currently provides managers for multiple package specific
@@ -19,18 +19,18 @@
 Encoding: UTF-8
 Depends: R (>= 3.0.0), methods, stats, registry
 Imports: tools, grDevices, utils, graphics, codetools, digest, stringi,
-        magrittr, stringr, xtable, withr, bibtex (>= 0.4)
+        magrittr, stringr, xtable, withr, bibtex (>= 0.4), assertthat
 Suggests: devtools (>= 0.8), roxygen2, RUnit, testthat, knitr,
-        rmarkdown, yaml, Biobase
+        rmarkdown, yaml, Biobase, datasets
 Collate: 'bibtex.R' 'colors.R' 'data.R' 'namespace.R' 'utils.R'
         'devutils.R' 'files.R' 'graphics.R' 'options.R' 'logging.R'
         'unitTests.R' 'is.R' 'knitr.R' 'registry.R' 'package-extra.R'
         'package.R' 'packages.R' 'project.R' 'rd.R' 'user.R'
         'vignette.R' 'with.r'
-RoxygenNote: 6.0.1.9000
+RoxygenNote: 7.0.2
 NeedsCompilation: no
-Packaged: 2018-05-25 21:48:47 UTC; renaud
+Packaged: 2020-01-21 19:29:08 UTC; renaud
 Author: Renaud Gaujoux [aut, cre]
 Maintainer: Renaud Gaujoux <renozao@protonmail.com>
 Repository: CRAN
-Date/Publication: 2018-05-25 22:18:01 UTC
+Date/Publication: 2020-01-22 12:50:02 UTC

=== debian/changelog ===
r-cran-pkgmaker (0.31-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jan 2020 11:12:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Alba Crespi <crespialba+debian@gmail.com>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-registry,
@@ -14,8 +14,9 @@
                r-cran-stringr,
                r-cran-xtable,
                r-cran-withr,
-               r-cran-bibtex
-Standards-Version: 4.2.1
+               r-cran-bibtex,
+               r-cran-assertthat
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pkgmaker
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pkgmaker.git
 Homepage: https://cran.r-project.org/package=pkgmaker

## r-cran-pkgmaker 0.31.1

=== debian/changelog ===
r-cran-pkgmaker (0.31.1-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 19:29:29 +0000

r-cran-pkgmaker (0.31.1-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 23:09:08 +0200

r-cran-pkgmaker (0.31.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 24 Mar 2020 08:35:20 +0100

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Alba Crespi <crespialba+debian@gmail.com>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-r,
@@ -20,6 +21,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pkgmaker
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pkgmaker.git
 Homepage: https://cran.r-project.org/package=pkgmaker
+Rules-Requires-Root: no
 
 Package: r-cran-pkgmaker
 Architecture: all

## r-cran-pkgmaker 0.32.2

=== DESCRIPTION ===
Package: pkgmaker
Type: Package
Title: Development Utilities for R Packages
Version: 0.32.2
Date: 2020-10-20
Authors@R: person("Renaud", "Gaujoux", email = "renozao@protonmail.com", role = c("aut", "cre"))
Description: Provides some low-level utilities to use for package
    development. It currently provides managers for multiple package specific
    options and registries, vignette, unit test and bibtex related utilities.
    It serves as a base package for packages like NMF, RcppOctave, doRNG, and
    as an incubator package for other general purposes utilities, that will
    eventually be packaged separately.
    It is still under heavy development and changes in the interface(s) are
    more than likely to happen.
License: GPL (>= 2)
URL: https://renozao.github.io/pkgmaker/
BugReports: https://github.com/renozao/pkgmaker/issues
LazyLoad: yes
Encoding: UTF-8
Depends: R (>= 3.0.0), methods, stats, registry
Imports: tools, grDevices, utils, graphics, codetools, digest, stringr,
        xtable, withr, assertthat
Suggests: devtools (>= 0.8), roxygen2, RUnit, testthat, knitr,
        rmarkdown, markdown, yaml, Biobase, datasets, rbibutils (>=
        1.3)
Collate: 'bibtex.R' 'colors.R' 'data.R' 'namespace.R' 'utils.R'
        'devutils.R' 'files.R' 'graphics.R' 'options.R' 'logging.R'
        'unitTests.R' 'is.R' 'knitr.R' 'registry.R' 'package-extra.R'
        'package.R' 'packages.R' 'project.R' 'rd.R' 'user.R'
        'vignette.R' 'with.r'
RoxygenNote: 7.1.0
NeedsCompilation: no
Packaged: 2020-10-20 19:43:23 UTC; renaud
Author: Renaud Gaujoux [aut, cre]
Maintainer: Renaud Gaujoux <renozao@protonmail.com>
Repository: CRAN
Date/Publication: 2020-10-20 21:20:02 UTC

=== debian/changelog ===
r-cran-pkgmaker (0.32.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Oct 2020 11:48:46 +0100

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,15 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-registry,
                r-cran-codetools,
                r-cran-digest,
-               r-cran-stringi,
-               r-cran-magrittr,
                r-cran-stringr,
                r-cran-xtable,
                r-cran-withr,
-               r-cran-bibtex,
                r-cran-assertthat
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pkgmaker

## r-cran-pkgmaker 0.32.7

=== debian/changelog ===
r-cran-pkgmaker (0.32.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jan 2023 14:09:04 +0100

## r-cran-pkgmaker 0.32.8

=== DESCRIPTION ===
Package: pkgmaker
Type: Package
Title: Development Utilities for R Packages
Version: 0.32.8
Date: 2023-02-14
Authors@R: person("Renaud", "Gaujoux", email = "renozao@protonmail.com", role = c("aut", "cre"))
Description: Provides some low-level utilities to use for package
    development. It currently provides managers for multiple package specific
    options and registries, vignette, unit test and bibtex related utilities.
    It serves as a base package for packages like 'NMF', 'RcppOctave', 'doRNG', and
    as an incubator package for other general purposes utilities, that will
    eventually be packaged separately.
    It is still under heavy development and changes in the interface(s) are
    more than likely to happen.
License: GPL (>= 2)
URL: https://renozao.github.io/pkgmaker/
BugReports: https://github.com/renozao/pkgmaker/issues
LazyLoad: yes
Encoding: UTF-8
Depends: R (>= 3.0.0), methods, stats, registry
Imports: tools, grDevices, utils, graphics, codetools, digest, stringr,
        xtable, withr, assertthat
Suggests: devtools (>= 0.8), roxygen2, RUnit, testthat, knitr,
        rmarkdown, markdown (>= 1.3), yaml, Biobase, datasets,
        rbibutils (>= 1.3)
Collate: 'bibtex.R' 'colors.R' 'data.R' 'namespace.R' 'utils.R'
        'devutils.R' 'files.R' 'graphics.R' 'options.R' 'logging.R'
        'unitTests.R' 'is.R' 'knitr.R' 'registry.R' 'package-extra.R'
        'package.R' 'packages.R' 'project.R' 'rd.R' 'user.R'
        'vignette.R' 'with.r'
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-02-14 17:13:26 UTC; renaud
Author: Renaud Gaujoux [aut, cre]
Maintainer: Renaud Gaujoux <renozao@protonmail.com>
Repository: CRAN
Date/Publication: 2023-02-14 17:50:02 UTC

=== debian/changelog ===
r-cran-pkgmaker (0.32.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Bug-Database.

 -- Andreas Tille <tille@debian.org>  Sun, 26 Feb 2023 11:40:15 +0100

## r-cran-pkgmaker 0.32.10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: pkgmaker
 Type: Package
 Title: Development Utilities for R Packages
-Version: 0.32.8
-Date: 2023-02-14
+Version: 0.32.10
+Date: 2023-05-03
 Authors@R: person("Renaud", "Gaujoux", email = "renozao@protonmail.com", role = c("aut", "cre"))
 Description: Provides some low-level utilities to use for package
     development. It currently provides managers for multiple package specific
@@ -30,8 +30,8 @@
         'vignette.R' 'with.r'
 RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2023-02-14 17:13:26 UTC; renaud
+Packaged: 2023-05-03 08:01:53 UTC; renaud
 Author: Renaud Gaujoux [aut, cre]
 Maintainer: Renaud Gaujoux <renozao@protonmail.com>
 Repository: CRAN
-Date/Publication: 2023-02-14 17:50:02 UTC
+Date/Publication: 2023-05-03 11:30:08 UTC

=== debian/changelog ===
r-cran-pkgmaker (0.32.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 13:46:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-cran-pkgmaker
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Alba Crespi <crespialba+debian@gmail.com>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pkgmaker
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pkgmaker.git
+Homepage: https://cran.r-project.org/package=pkgmaker
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -14,11 +18,7 @@
                r-cran-xtable,
                r-cran-withr,
                r-cran-assertthat
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pkgmaker
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pkgmaker.git
-Homepage: https://cran.r-project.org/package=pkgmaker
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-pkgmaker
 Architecture: all

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/pkgmaker_([-0-9\.]*)\.tar\.gz
